/*  6 Double spoke wheel used on some QR Wagons, Scale is 22.5 For Garden railway,
*/
$fn=150;
//spokes
difference(){

translate([0,-1,0]) 
for ( i=[-12:360:360])     rotate([0,i,0])

polar_array ( radius=3, count=6 ) rotate ([0,90,90]) resize([4.3,20,]) cylinder(4, center=false);
//cutout in spokes 
union(){
translate([0,-1,0]) 
for ( i=[-12:360:360])     rotate([0,i,0])

polar_array ( radius=8.5, count=6 ) rotate ([0,90,90]) hull(){
translate([0,-2 ,0])
 cylinder(d=.1 ,h=4); 
 translate([0,3.5,0])
 cylinder(d=2 ,h=4);
}
//cutout between spokes
translate([0,-1 ,0]) 
for ( i=[18:360:360])     rotate([0,i,0])

polar_array ( radius=7.5, count=6 ) rotate ([0,90,90]) resize([2,6,4]) cylinder(6, center=false);
///cente shaft hole
translate([0,4])
rotate(a = 90, v=[1,0,0])
cylinder($fn=150,d=3 ,h=5);


}}


//Tire
difference(){
     union(){
 translate([0,3])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d1=29.5,d2=28.5 ,h=5.5); 
//flange
 translate([0,3])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d1=34,d2=34 ,h=.8);   
//taper
 translate([0,2.2])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d1=34,d2=25 ,h=1.4);         
    }
 union(){
 translate([0,-1.5])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d=24.5 ,h=8);  
     
 translate([0,3.1])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d=23 ,h=8.5); 
}}
//hub centre
difference(){
 translate([0,3])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d=7 ,h=5);
 translate([0,4])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d=3 ,h=7); } 


module polar_array( radius, count, axis ) {
    for ( i= [1:360/count:360])  {
        rotate([0,i,0]) 
        translate([ radius,0,0 ] )
        children();
        
    }
}

//Cheers Aaron